it.reply.healty.innovapuglia.mstaccuino.service.data

## Class DocumentiDataService

- java.lang.Object
- - it.reply.healty.innovapuglia.mstaccuino.service.data.DocumentiDataService

- All Implemented Interfaces:
    IDataService<NotaTaccuino,DocumentoRequestDTO,Documento,DocumentoNonTrovatoException>

      @Component
      public class DocumentiDataService
      extends Object
      implements IDataService<NotaTaccuino,DocumentoRequestDTO,Documento,DocumentoNonTrovatoException>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentiDataService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Documento` | `addNtt(NotaTaccuino nota, DocumentoRequestDTO docRequest)` Aggiunge al database una nuova istanza di tipo Documento
    `void` | `deprecaNtt(Documento doc)` Cancella logicamente l'istanza di tipo Documento inserita in input
    `List<Documento>` | `findAllNttById(String idNota)` Recupera l'elenco dei documenti associati ad un id nota
    `Documento` | `getNttById(String id)` Restituisce un documento in base all'id in input
    `Documento` | `updateNtt(Documento doc, DocumentoRequestDTO newDocDto)` Crea e salva un'istanza di tipo Documento aggiornata con i dati in input, e depreca la vecchia istanza

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentiDataService

          public DocumentiDataService()

  - ### Method Detail

    - #### findAllNttById

          public List<Documento> findAllNttById(String idNota)
                                         throws FaultException

      Recupera l'elenco dei documenti associati ad un id nota
      Specified by:
        `findAllNttById` in interface `IDataService<NotaTaccuino,DocumentoRequestDTO,Documento,DocumentoNonTrovatoException>`
      Parameters:
        `idNota` - l'ID della nota
      Returns:
        l'elenco dei documenti, o una lista vuota quando non ce ne sono
      Throws:
        `FaultException` - quando ci sono problemi nel recupero dati dal database

    - #### getNttById

          public Documento getNttById(String id)
                               throws DocumentoNonTrovatoException,
                                      FaultException

      Restituisce un documento in base all'id in input
      Specified by:
        `getNttById` in interface `IDataService<NotaTaccuino,DocumentoRequestDTO,Documento,DocumentoNonTrovatoException>`
      Parameters:
        `id` - L'ID del documento da recuperare
      Returns:
        Il documento
      Throws:
        `DocumentoNonTrovatoException` - Quando non viene trovato nessun documento con quell'id
        `FaultException`

    - #### addNtt

          public Documento addNtt(NotaTaccuino nota,
                                  DocumentoRequestDTO docRequest)
                           throws FaultException

      Aggiunge al database una nuova istanza di tipo Documento
      Specified by:
        `addNtt` in interface `IDataService<NotaTaccuino,DocumentoRequestDTO,Documento,DocumentoNonTrovatoException>`
      Parameters:
        `nota` - Istanza della nota a cui e' associato l'oggetto
        `docRequest` - Oggetto contenente i dati di input del documento
      Returns:
        l'istanza creata
      Throws:
        `FaultException` - quando ci sono problemi nel salvataggio dei dati nel database o se esiste gia' un documento associato alla nota

    - #### deprecaNtt

          public void deprecaNtt(Documento doc)
                          throws FaultException

      Cancella logicamente l'istanza di tipo Documento inserita in input
      Specified by:
        `deprecaNtt` in interface `IDataService<NotaTaccuino,DocumentoRequestDTO,Documento,DocumentoNonTrovatoException>`
      Parameters:
        `doc` - istanza dell'oggetto da deprecare
      Throws:
        `FaultException` - quando ci sono problemi nel salvataggio dei dati nel database

    - #### updateNtt

          public Documento updateNtt(Documento doc,
                                     DocumentoRequestDTO newDocDto)
                              throws FaultException

      Crea e salva un'istanza di tipo Documento aggiornata con i dati in input, e depreca la vecchia istanza
      Specified by:
        `updateNtt` in interface `IDataService<NotaTaccuino,DocumentoRequestDTO,Documento,DocumentoNonTrovatoException>`
      Parameters:
        `doc` - Vecchia istanza dell'oggetto da modificare
        `newDocDto` - Nuovo oggetto in input, contenente i dati aggiornati
      Returns:
        l'istanza aggiornata
      Throws:
        `FaultException` - quando ci sono problemi nel salvataggio dei dati nel database

Copyright © 2024. All rights reserved.